import { createSvgIcon } from "@mui/material/utils";

const DeleteIcon = createSvgIcon(
  <svg
    width="60"
    height="60"
    viewBox="0 0 60 60"
    fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <g clipPath="url(#clip0_694_33607)">
      <path
        d="M48.75 18.75H11.25C10.9185 18.75 10.6005 18.8817 10.3661 19.1161C10.1317 19.3505 10 19.6685 10 20V55C10 56.3261 10.5268 57.5979 11.4645 58.5355C12.4021 59.4732 13.6739 60 15 60H45C46.3261 60 47.5979 59.4732 48.5355 58.5355C49.4732 57.5979 50 56.3261 50 55V20C50 19.6685 49.8683 19.3505 49.6339 19.1161C49.3995 18.8817 49.0815 18.75 48.75 18.75ZM25.625 51.25C25.625 51.7473 25.4275 52.2242 25.0758 52.5758C24.7242 52.9275 24.2473 53.125 23.75 53.125C23.2527 53.125 22.7758 52.9275 22.4242 52.5758C22.0725 52.2242 21.875 51.7473 21.875 51.25V28.75C21.875 28.2527 22.0725 27.7758 22.4242 27.4242C22.7758 27.0725 23.2527 26.875 23.75 26.875C24.2473 26.875 24.7242 27.0725 25.0758 27.4242C25.4275 27.7758 25.625 28.2527 25.625 28.75V51.25ZM38.125 51.25C38.125 51.7473 37.9275 52.2242 37.5758 52.5758C37.2242 52.9275 36.7473 53.125 36.25 53.125C35.7527 53.125 35.2758 52.9275 34.9242 52.5758C34.5725 52.2242 34.375 51.7473 34.375 51.25V28.75C34.375 28.2527 34.5725 27.7758 34.9242 27.4242C35.2758 27.0725 35.7527 26.875 36.25 26.875C36.7473 26.875 37.2242 27.0725 37.5758 27.4242C37.9275 27.7758 38.125 28.2527 38.125 28.75V51.25Z"
        fill="currentColor"
      />
      <path
        d="M55 10H43.125C42.9592 10 42.8003 9.93415 42.6831 9.81694C42.5658 9.69973 42.5 9.54076 42.5 9.375V6.25C42.5 4.5924 41.8415 3.00269 40.6694 1.83058C39.4973 0.65848 37.9076 0 36.25 0L23.75 0C22.0924 0 20.5027 0.65848 19.3306 1.83058C18.1585 3.00269 17.5 4.5924 17.5 6.25V9.375C17.5 9.54076 17.4342 9.69973 17.3169 9.81694C17.1997 9.93415 17.0408 10 16.875 10H5C4.33696 10 3.70107 10.2634 3.23223 10.7322C2.76339 11.2011 2.5 11.837 2.5 12.5C2.5 13.163 2.76339 13.7989 3.23223 14.2678C3.70107 14.7366 4.33696 15 5 15H55C55.663 15 56.2989 14.7366 56.7678 14.2678C57.2366 13.7989 57.5 13.163 57.5 12.5C57.5 11.837 57.2366 11.2011 56.7678 10.7322C56.2989 10.2634 55.663 10 55 10ZM22.5 9.375V6.25C22.5 5.91848 22.6317 5.60054 22.8661 5.36612C23.1005 5.1317 23.4185 5 23.75 5H36.25C36.5815 5 36.8995 5.1317 37.1339 5.36612C37.3683 5.60054 37.5 5.91848 37.5 6.25V9.375C37.5 9.54076 37.4342 9.69973 37.3169 9.81694C37.1997 9.93415 37.0408 10 36.875 10H23.125C22.9592 10 22.8003 9.93415 22.6831 9.81694C22.5658 9.69973 22.5 9.54076 22.5 9.375Z"
        fill="currentColor"
      />
    </g>
    <defs>
      <clipPath id="clip0_694_33607">
        <rect width="60" height="60" fill="white" />
      </clipPath>
    </defs>
  </svg>,
  "Delete"
);

export default DeleteIcon;
